#ifndef _LIB_ICS_H
#define _LIB_ICS_H

#include "derivative.h"

#define  FRE_RANGE_HIGH   0x20
#define  FRE_RANGE_LOW    0x00

#define  CONFIG_HIGH_GAIN 0x10
#define  CONFIG_LOW_POWER 0x00

#define  EXT_OSC          0x04
#define  EXT_CLK          0x00

#define  ICSERCLK_ACTIVE   0x02
#define  ICSERCLK_INACTIVE 0x00

#define  ICSER_ACTIVE_STOP   0x01
#define  ICSER_INACTIVE_STOP 0x00 

#define  CLKS_FLL_PLL 0x00
#define  CLKS_IR      0x40
#define  CLKS_ER      0x80

#define  INT_REF  0x04
#define  EXT_REF  0x00

#define  ICSIRCLK_ACTIVE   0x02
#define  ICSIRCLK_INACTIVE 0x00

#define  ICSIR_ACTIVE_STOP   0x01
#define  ICSIR_INACTIVE_STOP 0x00

#define DCO_RANGE_512    0x00
#define DCO_RANGE_1024   0x40
#define DCO_RANGE_1536   0x80
#define DCO_RANGE_608    0x20
#define DCO_RANGE_1216   0x60
#define DCO_RANGE_1824   0xA0


#define BUS_DIVIDER_1 ICSC2_BDIV = 0
#define BUS_DIVIDER_2 ICSC2_BDIV = 1
#define BUS_DIVIDER_4 ICSC2_BDIV = 2
#define BUS_DIVIDER_8 ICSC2_BDIV = 3

#define ENTER_FBELP ICSC2_LP = 1

void ICS_FEE_4M_8M(void);
void ICS_FEI_8M(void);
void ICS_FEE_32K_8M(void);

#endif